Bug 1470575 - Terminal locks with errors when invoking anaconda python virtual environment
Terminal locks with errors when invoking anaconda python virtual environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: powerline (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 04:59 EDT by Rob Hicks
Modified: 2017-07-24 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: powerline-2.6-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 15:20:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Hicks 2017-07-13 04:59:11 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. in bash, switch to default anaconda python virtual-env "source $HOME/anaconda/bin/activate": everything works
2. Deactivate virtual environment
3. switch to another anaconda virtual-env "source $HOME/anaconda/bin/activate python3" and get the following error message + bash lockup

/usr/bin/python3: symbol lookup error: /usr/bin/python3: undefined symbol _Py_Coerce_LegacyLocale

4. Disabling powerline, restarting bash shell, and performing steps (1) - (3) and everything works as it did in fedora 25

Note: both environments above are python 3.6

Actual results:
Terminal Locks up with above error message

Expected results:
On fedora 25 there were no errors with powerline + anaconda.  Powerline remained responsive and functioned with numerous anaconda virtual environments (and shows the anaconda virtual environment in the prompt)

Additional info:
Comment 1 Andreas Schneider 2017-07-13 11:12:13 EDT
Please check if this is fixed with https://bodhi.fedoraproject.org/updates/FEDORA-2017-222bbba94a
Comment 2 Rob Hicks 2017-07-13 11:39:20 EDT
Problem fixed with new version .  (In reply to Andreas Schneider from comment #1)
> Please check if this is fixed with
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-222bbba94a

Fixed
Comment 3 Fedora Update System 2017-07-13 11:51:00 EDT
powerline-2.6-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-222bbba94a
Comment 4 Mike Goodwin 2017-07-13 11:53:01 EDT
Hi Rob, can you please vote on the bodhi update if it suits you?
Comment 5 Fedora Update System 2017-07-14 18:55:04 EDT
powerline-2.6-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-222bbba94a
Comment 6 Fedora Update System 2017-07-24 15:20:29 EDT
powerline-2.6-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.